---
type: api
title: List traffic filter claimed link id
description: List all of the traffic filter claimed link id.
url: https://www.elastic.co/docs/api/doc/cloud-enterprise/operation/operation-get-traffic-filter-claimed-link-ids
resource: https://www.elastic.co/docs/api/doc/cloud-enterprise/operation/operation-get-traffic-filter-claimed-link-ids
products:
  - Elastic Cloud Enterprise
---

# List traffic filter claimed link id

Authentication: required

## Paths

- `GET` `/deployments/traffic-filter/link-ids`

## Description

List all of the traffic filter claimed link id.

## Query string parameters

- `region` (string) — optional
  If provided limits the claimed id to that region only.
- `organization_id` (string) — optional
  Retrieves a list of resources that are associated to the specified organization ID. It only takes effect if the user is an admin.

## Responses

#### `200`

The collection of traffic filter claimed link id

`application/json`

- `claimed_link_ids` (object[])
  List of traffic filter claimed link id
  - `link_id` (string)
    Link id. A GCP private service connect ID or AWS VPC endpoint ID
  - `azure_endpoint_name` (string)
    Name of the Azure Private Endpoint to allow connections from
  - `azure_endpoint_guid` (string)
    Resource GUID of the Azure Private Endpoint to allow connections from
  - `region` (string)
    The claimed link id can be used only for traffic filter in the specific region
#### `500`

Error fetching traffic filter claimed link ids. (code: `traffic_filter_claimed_link_id.request_execution_failed`)

`application/json`

- `errors` (object[])
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` (string[])
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code examples

#### curl

```curl
curl -X GET "${API_URL}/deployments/traffic-filter/link-ids" \
  -u "${USERNAME}:${PASSWORD}"
```

## Response examples

#### 200

`application/json`

Generated from the API spec. Values are representative. Unions use the first variant; deeply nested or large bodies may omit fields.

```json
{
  "claimed_link_ids": [
    {
      "link_id": "string",
      "azure_endpoint_name": "string",
      "azure_endpoint_guid": "string",
      "region": "string"
    }
  ]
}
```

#### 500

`application/json`

Generated from the API spec. Values are representative. Unions use the first variant; deeply nested or large bodies may omit fields.

```json
{
  "errors": [
    {
      "code": "string",
      "message": "string",
      "fields": [
        "string"
      ]
    }
  ]
}
```

